September 3, 2026 release

APIChange TypeRelease DateDescription
Price ManagementBreaking08/31/2026Updated POST /v3/price response (200).

Changes include:
- Removed media type application/xml
- Removed optional response properties additionalAttributes, errors, feedStatus, feedSubmissionDate, itemsDetails/itemIngestionStatus/items/martId, itemsFailed, itemsProcessing, itemsReceived, and itemsSucceeded
- Added optional response property status
PromotionsBreaking08/31/2026Updated POST /v3/price response (200).

Changes include:
- Removed media type application/xml
- Removed optional response properties errors, mart, message, sku, and statusCode
- Added optional response properties itemsDetails and status
On-request ReportsAdded08/31/2026Added CONTENT_QUALITY, LISTING_QUALITY, WFS_INVENTORY_HEALTH, WFS_INVENTORY_LOG, and WFS_STORAGE_FEE to reportType in the report download, report request, and schedule endpoints:

GET /v3/reports/downloadReport
GET /v3/reports/reportRequests
POST /v3/reports/reportRequests
GET /v3/reports/schedules
POST /v3/reports/schedules
Walmart Fulfillment Services (WFS) APIBreaking08/31/2026Updated POST /v3/fulfillment/inbound-shipments response handling for 400 and 500.

Changes include:
- Response body type changed from empty to object
- status property format changed to int32
- Added optional error response properties detail, instance, title, and type
Walmart Fulfillment Services (WFS) APIBreaking08/31/2026Updated POST /v3/fulfillment/inbound-shipments-quote response body oneOf handling for 200.

Changes include adding and removing subschema #1, subschema #2 in the response body oneOf list
Walmart Fulfillment Services (WFS) APIAdded08/31/2026Updated GET /v3/fulfillment/orders-fulfillments/status.

Changes include:
- Added non-success responses 400, 401, 429, and 500
- Added optional response properties payload/items/preShipmentTrackingNumber, payload/items/shipments/items/carrierTrackingURL, and payload/items/wtrnTrackingURL
- payload/items/shipments/items/externalTrackingURL type changed to uri-reference